cURL
curl "https://connect.jobo.world/api/auto-apply/mailboxes" \
-H "X-Api-Key: $JOBO_API_KEY"import requests
url = "https://connect.jobo.world/api/auto-apply/mailboxes"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://connect.jobo.world/api/auto-apply/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.jobo.world/api/auto-apply/mailboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://connect.jobo.world/api/auto-apply/mailboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://connect.jobo.world/api/auto-apply/mailboxes")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://connect.jobo.world/api/auto-apply/mailboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"api_version": "2026-08-31",
"mailboxes": [
{
"api_version": "2026-08-31",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "imap",
"address": "jsmith@example.com",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"imap_host": "<string>",
"imap_port": 123,
"imap_security": "<string>",
"username": "<string>",
"authorization_url": "<string>",
"last_error": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Invalid or expired API key",
"api_version": "2026-08-31"
}{
"title": "auto_apply_not_enabled",
"status": 403,
"detail": "This account does not have access to Auto Apply.",
"code": "auto_apply_not_enabled",
"api_version": "2026-08-31"
}{
"error": "Rate limit exceeded",
"detail": "Per-minute JobSearch request limit of 180 exceeded. Try again shortly.",
"retry_after_seconds": 1,
"code": "rate_limit_exceeded",
"group": "JobSearch",
"api_version": "2026-08-31"
}Auto Apply
List mailboxes
Auto Apply is coming soon. Needs Auto Apply enabled for the account (403 auto_apply_not_enabled otherwise); works with sandbox and live keys.
List this account’s connected mailboxes. Credentials are never included.
GET
/
api
/
auto-apply
/
mailboxes
cURL
curl "https://connect.jobo.world/api/auto-apply/mailboxes" \
-H "X-Api-Key: $JOBO_API_KEY"import requests
url = "https://connect.jobo.world/api/auto-apply/mailboxes"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://connect.jobo.world/api/auto-apply/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.jobo.world/api/auto-apply/mailboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://connect.jobo.world/api/auto-apply/mailboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://connect.jobo.world/api/auto-apply/mailboxes")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://connect.jobo.world/api/auto-apply/mailboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"api_version": "2026-08-31",
"mailboxes": [
{
"api_version": "2026-08-31",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "imap",
"address": "jsmith@example.com",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"imap_host": "<string>",
"imap_port": 123,
"imap_security": "<string>",
"username": "<string>",
"authorization_url": "<string>",
"last_error": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Invalid or expired API key",
"api_version": "2026-08-31"
}{
"title": "auto_apply_not_enabled",
"status": 403,
"detail": "This account does not have access to Auto Apply.",
"code": "auto_apply_not_enabled",
"api_version": "2026-08-31"
}{
"error": "Rate limit exceeded",
"detail": "Per-minute JobSearch request limit of 180 exceeded. Try again shortly.",
"retry_after_seconds": 1,
"code": "rate_limit_exceeded",
"group": "JobSearch",
"api_version": "2026-08-31"
}
